commit:     a7c8b473c8e4d7bbb7221ffaac533952438dd1a1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 27 19:29:14 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 19:43:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7c8b473

dev-python/executing: Bump to 0.5.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/executing/Manifest               |  1 +
 dev-python/executing/executing-0.5.4.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
index cac75ae3aa6..3a57de7529d 100644
--- a/dev-python/executing/Manifest
+++ b/dev-python/executing/Manifest
@@ -1 +1,2 @@
 DIST executing-0.5.3.gh.tar.gz 303234 BLAKE2B 
cb9de0492c4aa31b53310abf65d97df888278671fbf24e5dc2f3f4b00fd22d233fae2265bffe240c092c5b67bfca1e69ec1c4eaa937a0d4c90bedced1f156e2a
 SHA512 
faf591de8e6354300fb572065bda304c3cbc529725b4044ad4f4ca1f86d892da21598ba7245059824e27894937d46e4ef9ef5962a9d7dff78e4144a3e0e6b388
+DIST executing-0.5.4.gh.tar.gz 330687 BLAKE2B 
10f526dfb3a9f72dda788af97547e011425a56d1af73c30f5704fb8d348beb4e4538e118355dd415ec6125507ca9b2b015c02dc0bd81a2ef732a60aafb89f12a
 SHA512 
3953ee1f6667c32fea28f964b395d53e99fa7869e27495a241f70179577865ec430ddfa07776995b6b1aaddd660adf6c6b61a8e8931589c0faeea94743fbc209

diff --git a/dev-python/executing/executing-0.5.4.ebuild 
b/dev-python/executing/executing-0.5.4.ebuild
new file mode 100644
index 00000000000..bdeaacb0be4
--- /dev/null
+++ b/dev-python/executing/executing-0.5.4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit distutils-r1
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+       https://github.com/alexmojaki/executing/
+       https://pypi.org/project/executing/";
+SRC_URI="
+       https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+# asttokens is optional runtime dep
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       dev-python/toml[${PYTHON_USEDEP}]
+       test? (
+               dev-python/asttokens[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       # Kill off useless wheel dep
+       sed -i -e 's/wheel; //' setup.cfg || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # this test explodes when collected by pytest
+       "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+       pytest -vv tests/test_pytest.py || die "Tests failed with ${EPYTHON}"
+}

Reply via email to